Page MenuHomeFreeBSD

New committer (doc): Pau Amma
ClosedPublic

Authored by pauamma_gundo.com on Jul 11 2022, 1:15 AM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 14 2024, 10:22 AM
Unknown Object (File)
Dec 22 2023, 7:37 AM
Unknown Object (File)
Nov 30 2023, 12:26 AM
Unknown Object (File)
Sep 1 2023, 9:17 PM
Unknown Object (File)
Aug 31 2023, 8:59 AM
Unknown Object (File)
Aug 31 2023, 8:59 AM
Unknown Object (File)
Aug 31 2023, 8:58 AM
Unknown Object (File)
Aug 31 2023, 8:58 AM
Subscribers

Details

Summary

Approved by: will be either/both mentors, carlavilla and gjb

Test Plan

Feed to dot and check there are no error messages.

Make sure file recognizes the output as a PNG.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

lwhsu added inline comments.
share/misc/committers-doc.dot
18

Firstly I suggest making this change in a separate commit. For the change itself, I suggest:

26

same as above.

share/misc/committers-doc.dot
18

I'll split it off and mention the right location for git.

I looked at the internal/admin log in all 3 repos and they have at least some history from before the switch from svn, but I can't check all of it is present, which would be needed for this use case. Can you confirm it is?

This revision is now accepted and ready to land.Jul 11 2022, 2:47 PM
share/misc/committers-doc.dot
18

I'll split it off and mention the right location for git.

I looked at the internal/admin log in all 3 repos and they have at least some history from before the switch from svn, but I can't check all of it is present, which would be needed for this use case. Can you confirm it is?

In theorem everything is preserved from cvs->svn and svn->git. There do have some missed parts, but it should be fine because new changes only go to there and the date is used for the .dot file here.

share/misc/committers-doc.dot
18

Actually, we have already lost quite a bit of VCS history from the CVS->SVN conversion *and* the SVN->Git conversion.

Particularly, the admin/svnconf/access, for example - everything (or most) was lost when the www and doc tree were converged into one repository. Then the SVN->Git conversion happened, somewhat in tandem with the conversion from XML to AsciiDOC, where the layout changed yet again.

share/misc/committers-doc.dot
18

Oh right, I forgot that part. Anyway, this doesn't affect that the source of truth of the new things.

share/misc/committers-doc.dot
18

Agreed - just playing devil's advocate. :)

Split off git log changes at lwhsu's suggestion.
This revision now requires review to proceed.Jul 13 2022, 1:53 PM

Is mentor approval from before I split off the bits unrelated to onboarding enough for me to proceed with the actual commit?

Yes, please go ahead.

This revision is now accepted and ready to land.Jul 18 2022, 4:43 PM
This revision was automatically updated to reflect the committed changes.